package com.yd.dal.entity.practitioner.hiring;

/**
 * @author xxy
 */
public class HiringApproveSteps {

    /**
     * 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    private Long hiringApproveStatus;

    /**
     * 审批步骤经行到哪一步了
     */
    private Long hiringApproveStepsId;



    /**
     * 获取 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     *
     * @return hiringApproveStatus 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    public Long getHiringApproveStatus() {
        return this.hiringApproveStatus;
    }

    /**
     * 设置 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     *
     * @param hiringApproveStatus 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    public void setHiringApproveStatus(Long hiringApproveStatus) {
        this.hiringApproveStatus = hiringApproveStatus;
    }

    /**
     * 获取 审批步骤经行到哪一步了
     *
     * @return hiringApproveStepsId 审批步骤经行到哪一步了
     */
    public Long getHiringApproveStepsId() {
        return this.hiringApproveStepsId;
    }

    /**
     * 设置 审批步骤经行到哪一步了
     *
     * @param hiringApproveStepsId 审批步骤经行到哪一步了
     */
    public void setHiringApproveStepsId(Long hiringApproveStepsId) {
        this.hiringApproveStepsId = hiringApproveStepsId;
    }

    public HiringApproveSteps(Long hiringApproveStatus,Long hiringApproveStepsId){
        this.hiringApproveStatus = hiringApproveStatus;
        this.hiringApproveStepsId = hiringApproveStepsId;
    }
    public HiringApproveSteps(){

    }
    @Override
    public String toString() {
        return "PractitionerHiringApproveSteps{" +
                "hiringApproveStatus=" + hiringApproveStatus +
                ", hiringApproveStepsId=" + hiringApproveStepsId +
                '}';
    }
}
